devplugin

## Class ActionMenu

- java.lang.Object
- - devplugin.ActionMenu

- Direct Known Subclasses:
    ActionMenuProxy

      public class ActionMenu
      extends java.lang.Object

  This class represents a structure for context menus.

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `ActionMenu(javax.swing.Action action)` Creates a new single menu entry
    `ActionMenu(javax.swing.Action action, javax.swing.Action[] subItems)` Deprecated. since 3.0, use `ActionMenu(String, Icon, Action[])` instead
    `ActionMenu(javax.swing.Action action, ActionMenu[] subItems)` Deprecated. since 3.0, use `ActionMenu(String, Icon, ActionMenu[])` instead
    `ActionMenu(javax.swing.Action action, boolean isSelected)` Creates a new single checkbox menu entry.
    `ActionMenu(ActionMenu actionMenu)` Clone an existing ActionMenu
    `ActionMenu(javax.swing.Action action, java.lang.Object[] subItems)` Deprecated. since 3.0, use `ActionMenu(String, Icon, Object[])` instead
    `ActionMenu(java.lang.String menuTitle, javax.swing.Action[] subItems)` Creates a menu item having sub menu items.
    `ActionMenu(java.lang.String menuTitle, ActionMenu[] subItems)` Creates a menu item having sub menu items.
    `ActionMenu(java.lang.String menuTitle, javax.swing.Icon menuIcon, javax.swing.Action[] subItems)` Creates a menu item having sub menu items.
    `ActionMenu(java.lang.String menuTitle, javax.swing.Icon menuIcon, ActionMenu[] subItems)` Creates a menu item having sub menu items.
    `ActionMenu(java.lang.String menuTitle, javax.swing.Icon menuIcon, java.lang.Object[] subItems)` Creates a menu item having sub menu items.
    `ActionMenu(java.lang.String menuTitle, java.lang.Object[] subItems)` Creates a menu item having sub menu items.

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `javax.swing.Action` | `getAction()`
    `ActionMenu[]` | `getSubItems()`
    `java.lang.String` | `getTitle()`
    `boolean` | `hasSubItems()`
    `boolean` | `isSelected()`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### ActionMenu

          public ActionMenu(javax.swing.Action action,
                    ActionMenu[] subItems)

      Deprecated. since 3.0, use `ActionMenu(String, Icon, ActionMenu[])` instead
      Creates a menu item having sub menu items. These items can have further sub menu items.
      Parameters:
        `action` -
        `subItems` -
      See Also:
        `ContextMenuAction`

    - #### ActionMenu

          public ActionMenu(java.lang.String menuTitle,
                    javax.swing.Icon menuIcon,
                    ActionMenu[] subItems)

      Creates a menu item having sub menu items. These items can have further sub menu items.
      Parameters:
        `menuTitle` - title of the sub menu
        `menuIcon` - icon of the sub menu
        `subItems` - sub menu items
      See Also:
        `ContextMenuAction`

    - #### ActionMenu

          public ActionMenu(java.lang.String menuTitle,
                    ActionMenu[] subItems)

      Creates a menu item having sub menu items. These items can have further sub menu items.
      Parameters:
        `menuTitle` - title of the sub menu
        `subItems` - sub menu items
      See Also:
        `ContextMenuAction`

    - #### ActionMenu

          public ActionMenu(javax.swing.Action action,
                    javax.swing.Action[] subItems)

      Deprecated. since 3.0, use `ActionMenu(String, Icon, Action[])` instead
      Creates a menu item having sub menu items.
      Parameters:
        `action` -
        `subItems` -

    - #### ActionMenu

          public ActionMenu(java.lang.String menuTitle,
                    javax.swing.Icon menuIcon,
                    javax.swing.Action[] subItems)

      Creates a menu item having sub menu items.
      Parameters:
        `menuTitle` - title of the sub menu
        `menuIcon` - icon of the sub menu
        `subItems` -

    - #### ActionMenu

          public ActionMenu(java.lang.String menuTitle,
                    javax.swing.Action[] subItems)

      Creates a menu item having sub menu items.
      Parameters:
        `menuTitle` - title of the sub menu
        `subItems` -

    - #### ActionMenu

          public ActionMenu(javax.swing.Action action,
                    java.lang.Object[] subItems)

      Deprecated. since 3.0, use `ActionMenu(String, Icon, Object[])` instead
      Creates a menu item having sub menu items.
      Parameters:
        `action` -
        `subItems` - sub menu items, can be Actions or ActionMenus in mixed order

    - #### ActionMenu

          public ActionMenu(java.lang.String menuTitle,
                    javax.swing.Icon menuIcon,
                    java.lang.Object[] subItems)

      Creates a menu item having sub menu items.
      Parameters:
        `menuTitle` - title of the sub menu
        `menuIcon` - icon of the sub menu
        `subItems` - sub menu items, can be Actions or ActionMenus in mixed order

    - #### ActionMenu

          public ActionMenu(java.lang.String menuTitle,
                    java.lang.Object[] subItems)

      Creates a menu item having sub menu items.
      Parameters:
        `menuTitle` - title of the sub menu
        `subItems` - sub menu items, can be Actions or ActionMenus in mixed order

    - #### ActionMenu

          public ActionMenu(javax.swing.Action action,
                    boolean isSelected)

      Creates a new single checkbox menu entry.
      Parameters:
        `action` -
        `isSelected` - state of the check box (checked/unchecked)

    - #### ActionMenu

          public ActionMenu(javax.swing.Action action)

      Creates a new single menu entry
      Parameters:
        `action` -

    - #### ActionMenu

          public ActionMenu(ActionMenu actionMenu)

      Clone an existing ActionMenu
      Parameters:
        `actionMenu` - clone this ActionMenu

  - ### Method Detail

    - #### getTitle

          public java.lang.String getTitle()

    - #### getSubItems

          public ActionMenu[] getSubItems()

    - #### hasSubItems

          public boolean hasSubItems()

    - #### isSelected

          public boolean isSelected()

    - #### getAction

          public javax.swing.Action getAction()

TV-Browser 3.4.3, Copyright (C) 2004-2008 TV-Browser Team (dev@tvbrowser.org)